package com.manage.dao;

import com.manage.entity.Power_Detailed_Menu;
import com.manage.entity.Power_Menu;
import com.manage.entity.Power_Menu_User;

import java.util.List;

/**
 * @Author:hjl
 * @Date:Creatid in 1:13 2019/4/17
 * @Description:
 */
/*@Repository*/
public class Power_MenuMapperImpl implements Power_MenuMapper {
    @Override
    public int deleteByPrimaryKey(Integer menuId) {
        return this.deleteByPrimaryKey(menuId);
    }

    @Override
    public int insert(Power_Menu record) {
        return this.insert(record);
    }

    @Override
    public int insertSelective(Power_Menu record) {
        return this.insertSelective(record);
    }

    @Override
    public Power_Menu selectByPrimaryKey(Integer menuId) {
        return this.selectByPrimaryKey(menuId);
    }

    @Override
    public int updateByPrimaryKeySelective(Power_Menu record) {
        return this.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(Power_Menu record) {
        return this.updateByPrimaryKey(record);
    }

    @Override
    public List<Power_Menu> queryAllPowerMenu(String sysFlag,Integer roleId) {
        return this.queryAllPowerMenu(sysFlag,roleId);
    }

   /* @Override
    public List<Power_Detailed_Menu> queryMenuViewByUserId(Integer userId) {
        return this.queryMenuViewByUserId(userId);
    }*/

    @Override
    public List<Power_Menu_User> queryPoswerMenuByUserId(Integer userId,String sysFlag) {
        return this.queryPoswerMenuByUserId(userId,sysFlag);
    }

    @Override
    public List<Power_Menu> selectAll(String sysFlag, Integer isEffective,Integer roleId) {
        return this.selectAll(sysFlag,isEffective,roleId);
    }

    @Override
    public List<Power_Menu> selectMethodByMenuIdPowerTree(Integer parentId) {
        return this.selectMethodByMenuIdPowerTree(parentId);
    }

    @Override
    public List<Power_Menu> selectRoleMenuByUserIdAndDictId(Integer dictId, Integer userId) {
        return this.selectRoleMenuByUserIdAndDictId(dictId,userId);
    }

    @Override
    public List<Power_Menu> selectUserMenuByUserIdAndDictId(Integer dictId, Integer userId) {
        return this.selectUserMenuByUserIdAndDictId(dictId,userId);
    }

    @Override
    public List<Power_Menu> checkMenuNameBySysId(String sysFlag, String menuName) {
        return this.checkMenuNameBySysId(sysFlag, menuName);
    }

    @Override
    public List<Power_Menu> checkMethodByParentId(Integer parentId,String menuName,String method) {
        return this.checkMethodByParentId(parentId,menuName,method);
    }

    @Override
    public List<Power_Menu> selectUserAndRoleMenuListPower(Integer userId, String sysFlag) {
        return this.selectUserAndRoleMenuListPower(userId, sysFlag);
    }

    @Override
    public int updateChildSysFlagAndSysId(Integer menuId, Integer sysId, String sysFlag) {
        return this.updateChildSysFlagAndSysId(menuId, sysId, sysFlag);
    }
}
